/*========================================================*/
/*                                                        */
/*  pfitsio.h       version 2.8.0         2006.11.27      */
/*                                                        */
/*  Copyright (C) 2006 by Wojtek Pych, CAMK PAN           */
/*                                                        */
/*  Written for GNU project C and C++ Compiler            */
/*  Private FITS I/O library.                             */
/*                                                        */
/*========================================================*/

/* Some FITS magic numbers */
#define RECORD_SIZE   2880
#define RECORD_CARDS  36
#define CARD_SIZE     80
#define KEYWORD_SIZE  8
#define VALUE_SIZE    70

#define EPSILON 1.0e-15

extern int    needswap(void);
extern void   swap_bytes(void *, size_t, int);
extern int    get_FITS_key(int, char **, const char *, char*);
extern size_t FITS_image_size(int, char **);
extern int    read_FITS_header(FILE *, char ***);
extern int    read_FITS_headers(FILE *, int **, char ****, long **);
extern int    del_header_card(int, char ***, char *);
extern void   write_FITS_header(FILE *, int, char **);
extern int    rimage(FILE *, char **, int, void **);
extern size_t read_FITS_image(FILE *, char **, int, void **);
extern float  *read_FITS_1Dfile(char *, char, int *, char ***, int *);
extern float  **read_FITS_2Dfile(char *, char, int *, char ***, int *, int *);
extern void   scale(int, float *, short *);
extern void   write_FITS_2Dimage(FILE *, int, int, int, void **);
extern void   write_FITS_2Dfile(char *, int, char **, int, int, int, void **);

/*** END ***/
